<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateFunmenudetailTable extends Migration
{
    private $tableName = 'funmenudetail';

    public function up()
    {
        Schema::create($this->tableName, function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedTinyInteger('FunMenuId');
            $table->unsignedTinyInteger('FunId');
            $table->unsignedTinyInteger('Valid');
            $table->unsignedTinyInteger('Corder');
            $table->unsignedTinyInteger('Oid'); // TODO: 不知道作用
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::drop($this->tableName);
    }
}
